## python-aiobotocore 2.13.1

=== Makefile ===
# Some simple testing tasks (sorry, UNIX only).

# ?= conditional assign, so users can pass options on the CLI instead of manually editing this file
FLAGS?=

pre-commit flake: checkrst
	pre-commit run --all

test: pre-commit
	python -Wd -m pytest -s -vv $(FLAGS) ./tests/

vtest:
	python -Wd -X tracemalloc=5 -X faulthandler -m pytest -s -vv $(FLAGS) ./tests/

checkrst:
	python setup.py check -rms

cov cover coverage: pre-commit
	python -Wd -m pytest -s -vv --cov-report term --cov-report html --cov aiobotocore ./tests
	@echo "open file://`pwd`/htmlcov/index.html"

# BOTO_CONFIG solves https://github.com/travis-ci/travis-ci/issues/7940
mototest:
	docker pull alpine
	docker pull lambci/lambda:python3.8
	BOTO_CONFIG=/dev/null python -Wd -X tracemalloc=5 -X faulthandler -m pytest -vv -m moto -n auto --cov-report term --cov-report html --cov-report xml --cov=aiobotocore --cov=tests --log-cli-level=DEBUG $(FLAGS) aiobotocore tests
	@echo "open file://`pwd`/htmlcov/index.html"

clean:
	rm -rf `find . -name __pycache__`
	rm -rf `find . -name .pytest_cache`
	rm -rf `find . -name *.egg-info`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -f `find . -type f -name '@*' `
	rm -f `find . -type f -name '#*#' `
	rm -f `find . -type f -name '*.orig' `
	rm -f `find . -type f -name '*.rej' `
	rm -f .coverage*
	rm -rf coverage
	rm -rf coverage.xml
	rm -rf htmlcov
	rm -rf build
	rm -rf cover
	rm -rf dist

doc:
	make -C docs html
	@echo "open file://`pwd`/docs/_build/html/index.html"

.PHONY: all pre-commit test vtest cov clean doc

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = aiombotocore
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-aiobotocore (2.13.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Sat, 07 Dec 2024 11:30:39 -0500

python-aiobotocore (2.13.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1078345)

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Jul 2024 07:13:26 +0200

=== debian/control ===
Source: python-aiobotocore
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 awscli,
 python3-aiohttp,
 python3-aioitertools,
 python3-boto3,
 python3-botocore,
 python3-coverage,
 python3-dill,
 python3-docker (>= 7.1),
 python3-flask-cors,
 python3-moto,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-pytest-xdist,
 python3-wrapt,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aiobotocore
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aiobotocore.git
Homepage: https://github.com/aio-libs/aiobotocore

Package: python3-aiobotocore
Architecture: all
Depends:
 awscli,
 python3-aiohttp,
 python3-aioitertools,
 python3-boto3,
 python3-botocore,
 python3-wrapt,
 ${misc:Depends},
 ${python3:Depends},
Description: async client for aws services using botocore and aiohttp
 Async client for amazon services using botocore and aiohttp/asyncio.
 This library is a mostly full featured asynchronous version of botocore.
 .
 This package is a dependency of Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/aio-libs/aiobotocore.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_test:
	set -e ; set -x ; for pyvers in `py3versions -rv 2>/dev/null` ; do \
		python$$pyvers -m pytest -v tests -k 'not test_get_credentials and not test_sso_credential_fetcher_can_fetch_credentials and not test_sso_cred_fetcher_raises_helpful_message_on_unauthorized_exception and not test_load_sso_credentials_without_cache and not test_load_sso_credentials_with_cache and not test_load_sso_credentials_with_cache_expired and not test_max_rate_updated_on_success_response and not test_max_rate_cant_exceed_20_percent_max and not test_required_config_not_set and not test_retry and not test_signers_generate_presigned_urls and not test_signers_generate_presigned_post' \
			--ignore tests/test_basic_s3.py \
			--ignore tests/python3.8/test_eventstreams.py \
			--ignore tests/test_batch.py \
			--ignore tests/test_config.py \
			--ignore tests/test_dynamodb.py \
			--ignore tests/test_ec2.py \
			--ignore tests/test_eventstreams.py \
			--ignore tests/test_lambda.py \
			--ignore tests/test_monitor.py \
			--ignore tests/test_patches.py \
			--ignore tests/test_sqs.py \
			--ignore tests/test_sns.py \
			--ignore tests/test_stubber.py \
			--ignore tests/test_waiter.py ; \
	done

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/aiobotocore/aiobotocore-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-aiobotocore 2.25.2

=== Makefile ===
# Some simple testing tasks (sorry, UNIX only).

# ?= is conditional assign, so users can pass options on the CLI instead of manually editing this file
HTTP_BACKEND?='all'
FLAGS?=

pre-commit:
	pre-commit run --all --show-diff-on-failure

test: pre-commit
	python -Wd -m pytest -s -vv $(FLAGS) ./tests/

vtest:
	python -Wd -X tracemalloc=5 -X faulthandler -m pytest -s -vv $(FLAGS) ./tests/

cov cover coverage: pre-commit
	python -Wd -m pytest -s -vv --cov-report term --cov-report html --cov aiobotocore ./tests
	@echo "open file://`pwd`/htmlcov/index.html"

mototest:
	python -Wd -X tracemalloc=5 -X faulthandler -m pytest -vv -m "not localonly" -n auto --cov-report term --cov-report html --cov-report xml --cov=aiobotocore --cov=tests --log-cli-level=DEBUG  --http-backend=$(HTTP_BACKEND) $(FLAGS) aiobotocore tests

clean:
	rm -rf `find . -name __pycache__`
	rm -rf `find . -name .pytest_cache`
	rm -rf `find . -name *.egg-info`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -f `find . -type f -name '@*' `
	rm -f `find . -type f -name '#*#' `
	rm -f `find . -type f -name '*.orig' `
	rm -f `find . -type f -name '*.rej' `
	rm -f .coverage*
	rm -rf coverage
	rm -rf coverage.xml
	rm -rf htmlcov
	rm -rf build
	rm -rf cover
	rm -rf dist

doc:
	make -C docs html
	@echo "open file://`pwd`/docs/_build/html/index.html"

.PHONY: all pre-commit test vtest cov clean doc

=== docs/requirements.txt ===
sphinx==8.3.0

=== debian/changelog ===
python-aiobotocore (2.25.2-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * Update d/watch to use github.
  * debian/control:
    - Update dependencies.
      New dependencies: python3-dateutil, python3-jmespath and
      python3-multidict.
    - Use dh-sequence-python3.
  * Update d/copyright.
  * debian/rules:
    - Skip test requiring access to the internet (Closes: #1091485).

  [ Edward Betts ]
  * Add my name to Uploaders.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Tue, 30 Dec 2025 17:44:46 +0000

=== debian/control ===
Source: python-aiobotocore
Section: python
Testsuite: autopkgtest-pkg-pybuild
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Edward Betts <edward@4angle.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 dh-sequence-python3,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 awscli,
 python3-aiohttp,
 python3-aioitertools,
 python3-anyio <!nocheck>,
 python3-boto3,
 python3-botocore,
 python3-coverage,
 python3-dill,
 python3-dateutil,
 python3-docker (>= 7.1),
 python3-flask-cors,
 python3-jmespath,
 python3-multidict,
 python3-moto,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-time-machine <!nocheck>,
 python3-wrapt,
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aiobotocore
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aiobotocore.git
Homepage: https://github.com/aio-libs/aiobotocore

Package: python3-aiobotocore
Architecture: all
Depends:
 awscli,
 ${misc:Depends},
 ${python3:Depends},
Description: async client for aws services using botocore and aiohttp
 Async client for amazon services using botocore and aiohttp/asyncio.
 This library is a mostly full featured asynchronous version of botocore.
 .
 This package is a dependency of Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/aio-libs/aiobotocore.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=aiobotocore
# Skip tests requiring acess to the internet
export PYBUILD_TEST_ARGS=-v \
    -k "not test_get_credentials[aiohttp] \
    and not test_required_config_not_set[aiohttp] \
    and not test_sso_credential_fetcher_can_fetch_credentials[aiohttp] \
    and not test_sso_cred_fetcher_raises_helpful_message_on_unauthorized_exception[aiohttp] \
    and not test_sso_cred_fetcher_expired_legacy_token_has_expected_behavior[aiohttp] \
    and not test_sso_cred_fetcher_feature_ids_registered_during_get_credentials[aiohttp] \
    and not test_load_sso_credentials_without_cache[aiohttp] \
    and not test_load_sso_credentials_with_cache[aiohttp] \
    and not test_load_sso_credentials_with_cache_expired[aiohttp] \
    and not test_load_sso_credentials_with_account_id[aiohttp] \
    and not test_create_nested_client_creates_working_client[aiohttp] \
    and not test_create_nested_client_manages_plugin_context[aiohttp] \
    and not test_plugin_context_prevents_infinite_loops[aiohttp] \
    and not test_plugin_context_environment_variable_handling[aiohttp] \
    and not test_multiple_nested_clients[aiohttp] \
    and not test_nested_client_context_manager[aiohttp] \
    and not test_connector_timeout[aiohttp] \
    and not test_connector_timeout2[aiohttp] \
    and not test_kinesis_stream_json_parser[aiohttp] \
    and not test_sqs[aiohttp] \
    and not test_release_versions[aiohttp]" \
    --ignore $(CURDIR)/tests/test_basic_s3.py \
    --ignore $(CURDIR)/tests/test_batch.py \
    --ignore $(CURDIR)/tests/test_configprovider.py \
    --ignore $(CURDIR)/tests/test_dynamodb.py \
    --ignore $(CURDIR)/tests/test_ec2.py \
    --ignore $(CURDIR)/tests/test_endpoint.py \
    --ignore $(CURDIR)/tests/test_lambda.py \
    --ignore $(CURDIR)/tests/test_monitor.py \
    --ignore $(CURDIR)/tests/test_mturk.py \
    --ignore $(CURDIR)/tests/test_sqs.py \
    --ignore $(CURDIR)/tests/test_sns.py \
    $(CURDIR)/tests

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Template: Github
Owner: aio-libs
Project: aiobotocore
Uversion-Mangle: s/^3\.0\.0$/0~ignored/
